﻿
$ErrorActionPreference = 'Stop';

$adocjVersion = '2.5.1'
$packageName  = 'asciidoctorj'
$toolsDir     = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url          = "https://search.maven.org/remotecontent?filepath=org/asciidoctor/asciidoctorj/$($adocjVersion)/asciidoctorj-$($adocjVersion)-bin.zip"

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  url           = $url
  checksum      = '9fcf2fef6023257aaac21a3b5d8379c080019b1a408e43419f61d507ecddc95b'
  checksumType  = 'sha256'
}


Install-ChocolateyZipPackage @packageArgs


Install-BinFile -name 'asciidoctorj' -path "$toolsDir\asciidoctorj-$($adocjVersion)\bin\asciidoctorj.bat"
